View Issue Details

IDProjectCategoryView StatusLast Update
0003756Talerwallet (WebExtensions)public2019-12-26 21:37
ReporterChristian GrothoffAssigned ToMarcello Stanisci 
PrioritylowSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.0Fixed in Version0.0 
Summary0003756: need (GNUnet-compatible) implementations of ECDHE
DescriptionECDHE on Curve25519, to be precise. This is only needed for /refreshing, so not super-urgent. Still, ECDHE is rather simple to do, and we should consider its availability/ease of implementation when addressing 0003754.
TagsNo tags attached.

Relationships

related to 0003757 closedChristian Grothoff need (GNUnet-compatible) implementations of ECDSA (with RFC 6979) 
related to 0003766 closedChristian Grothoff Should offer crypto-compatibility /test API 
child of 0003764 closedFlorian Dold wallet needs to support /refresh operations to ensure unlinkability 

Activities

Marcello Stanisci

2015-07-15 10:18

manager   ~0009443

Again, implemented along /test/ecdhe testcase. actions.jsm can call GNUNET_CRYPTO_ecdhe_key_create and .._get_public, then derive key material through .._ecc_ecdh. Check ecdheTest() in actions.jsm

Marcello Stanisci

2015-07-17 14:27

manager   ~0009459

Added in 4c40de8..1d92c72 (after adding a /test battery runner)

Issue History

Date Modified Username Field Change
2015-04-11 16:47 Christian Grothoff New Issue
2015-04-11 16:53 Christian Grothoff Category wallet => wallet (python command-line)
2015-04-11 16:54 Christian Grothoff Category wallet (python command-line) => wallet (browser-based)
2015-04-11 17:02 Christian Grothoff Relationship added child of 0003763
2015-04-11 17:02 Christian Grothoff Relationship deleted child of 0003763
2015-04-11 17:02 Christian Grothoff Relationship added related to 0003757
2015-04-11 17:07 Christian Grothoff Relationship added child of 0003764
2015-04-11 17:38 Christian Grothoff Relationship added related to 0003766
2015-04-13 03:06 Christian Grothoff Target Version 0.0 => 0.1
2015-04-13 03:17 Christian Grothoff Status new => confirmed
2015-06-21 10:42 Christian Grothoff Target Version 0.1 => 0.2
2015-07-11 23:10 Christian Grothoff Assigned To => Marcello Stanisci
2015-07-11 23:10 Christian Grothoff Status confirmed => assigned
2015-07-15 10:18 Marcello Stanisci Note Added: 0009443
2015-07-17 14:27 Marcello Stanisci Note Added: 0009459
2015-07-17 14:27 Marcello Stanisci Status assigned => resolved
2015-07-17 14:27 Marcello Stanisci Resolution open => fixed
2015-07-24 09:29 Christian Grothoff Status resolved => closed
2015-08-08 15:29 Christian Grothoff Fixed in Version => 0.0
2015-08-08 15:29 Christian Grothoff Target Version 0.2 => 0.0
2019-12-26 21:37 Florian Dold Category wallet (browser-based) => wallet (WebExtensions)